unit UFrmProabaixo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, RXDBCtrl, Buttons, Wwdbigrd, Wwdbgrid, ExtCtrls, RXCtrls,
  StdCtrls;

type
  TFrmProabaixo = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    wwDBGrid1: TwwDBGrid;
    wwDBGrid1IButton: TwwIButton;
    Panel2: TPanel;
    Image1: TImage;
    RxLabel1: TRxLabel;
    Bevel1: TBevel;
    SpeedButton2: TSpeedButton;
    btnAdicionar: TSpeedButton;
    btnRetornar: TSpeedButton;
    SpeedButton1: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure btnRetornarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure btnAdicionarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmProabaixo: TFrmProabaixo;

implementation
   uses Modulo, UFrmProduos, UFrmReposicao;
{$R *.DFM}

procedure TFrmProabaixo.FormShow(Sender: TObject);
begin
   DMEscola.Qconsultapro.Close;
   DMEscola.Qconsultapro.SQL.Clear;
   DMEscola.Qconsultapro.SQL.Add('Select * From Produtos');
   DMEscola.Qconsultapro.SQL.Add('Where Estoque_Mim is not null and');
   DMEscola.Qconsultapro.SQL.Add('estoque_atual < estoque_mim');
   DMEscola.Qconsultapro.Open;
end;

procedure TFrmProabaixo.SpeedButton2Click(Sender: TObject);
begin
   FrmProdutos := TFrmProdutos.Create(self);
   FrmProdutos.ShowModal;
end;

procedure TFrmProabaixo.SpeedButton1Click(Sender: TObject);
begin
   DMEscola.Qconsultapro.Refresh;
end;

procedure TFrmProabaixo.btnRetornarClick(Sender: TObject);
begin
   close;
end;

procedure TFrmProabaixo.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   Action := CaFree;
end;

procedure TFrmProabaixo.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
   if MessageDlg('Tem certeza que deseja fechar a consulta de '+#13+'Produtos Abaixo do Estoque!', MtConfirmation, [mbyes, mbno], 0) = mrno then
      CanClose := false;
end;

procedure TFrmProabaixo.btnAdicionarClick(Sender: TObject);
begin
   FrmReposicao := TFrmReposicao.Create(self);
   FrmReposicao.ShowModal;
end;

end.
